### Signal

# Gcr Parser::authenticate

#### Declaration

    gboolean
    authenticate (
      GcrParser* self,
      gint count,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an item needs to be unlocked or decrypted before it can be parsed. The `count` argument specifies the number of times the signal has been emitted for a given item. This can be used to display a message saying the previous password was incorrect.

Typically the `gcr_parser_add_password()` function is called in response to this signal.

If `FALSE` is returned, then the authentication was not handled. If no handlers return `TRUE` then the item is not parsed and an error with the code `GCR_ERROR_CANCELLED` will be raised.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`count`

  Type: `gint`

  The number of times this item has been authenticated.

#### Return value

Type: `gboolean`

Whether the authentication was handled.